> ## Documentation Index
> Fetch the complete documentation index at: https://docstest.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete task

> Delete a task based on ID supplied in path



## OpenAPI

````yaml delete /task/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Tasks Tracking App
  description: A simple sample API for testing purposes.
  contact:
    name: Minae Lee
    url: https://github.com/minaelee
  license:
    name: MIT License
    url: https://opensource.org/license/mit/
servers: []
security: []
tags:
  - name: task
    description: Working with a single task
  - name: tasks
    description: Working with multiple tasks
paths:
  /task/{id}:
    delete:
      tags:
        - task
      description: Delete a task based on ID supplied in path
      operationId: deleteTask
      parameters:
        - name: id
          in: path
          description: ID of task to delete
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '204':
          description: Task deleted
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string

````